VredeployerService (gCube VRE Deploy Wizard Portlet 3.3.0-3.3.0 API)
Date: 2014-07-19

org.gcube.portlets.admin.vredeployer.client

## Interface VredeployerService

- All Superinterfaces:
    com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    VREDeployerServiceImpl

      @RemoteServiceRelativePath(value="VREDeployerServiceImpl")
      public interface VredeployerService
      extends com.google.gwt.user.client.rpc.RemoteService

  Author:
    massi

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientDeployReport` | `checkCreateVRE()`
    `boolean` | `deployVRE()`
    `List<GHNProfile>` | `getAvailableGHNs()`
    `int` | `getCloudVMSelected()`
    `VREFunctionalityModel` | `getFunctionality()`
    `void` | `getGHNPerFunctionality(String funcId)`
    `String` | `getHTMLReport()`
    `VREDescrBean` | `getVRE()`
    `VREDeployerStatusType` | `isApprovingModeEnabled()`
    `int` | `isCloudSelected()`
    `boolean` | `setCloudDeploy(int virtualMachines)`
    `boolean` | `setGHNsSelected(String[] selectedGHNIds)`

- - ### Method Detail

    - #### getVRE

          VREDescrBean getVRE()
                              throws NullPointerException

      Throws:
        `NullPointerException`

    - #### isApprovingModeEnabled

          VREDeployerStatusType isApprovingModeEnabled()

    - #### isCloudSelected

          int isCloudSelected()

    - #### getFunctionality

          VREFunctionalityModel getFunctionality()

    - #### getAvailableGHNs

          List<GHNProfile> getAvailableGHNs()

    - #### setGHNsSelected

          boolean setGHNsSelected(String[] selectedGHNIds)

    - #### setCloudDeploy

          boolean setCloudDeploy(int virtualMachines)

    - #### getCloudVMSelected

          int getCloudVMSelected()

    - #### deployVRE

          boolean deployVRE()

    - #### checkCreateVRE

          ClientDeployReport checkCreateVRE()

    - #### getHTMLReport

          String getHTMLReport()

    - #### getGHNPerFunctionality

          void getGHNPerFunctionality(String funcId)

Copyright © 2014. All Rights Reserved.